Skip to main content
POST
/
v1
/
orders
/
cctp
curl --request POST \
  --url 'https://mach-prod-536329393577.asia-northeast1.run.app/v1/orders/cctp' \
  --header 'Content-Type: application/json' \
  --data '{
    "chain": "avalanche",
    "burn_tx": "0x3cdc8d4da0e74b08f453f311e2031b2d518c769cc8d9b5783043a2e35a9e6428",
    "solana_token_owner_address": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v"
  }'
{
  "id": "6368f169-d9ad-53ec-b797-81b4dc74c257",
  "taker_address": "0xb20094DFede30AbEe3a8d549BbA828b6fd771106",
  "maker_address": null,
  "src_asset_address": "0xB97EF9Ef8734C71904D8002F8b6Bc66Dd9c48a6E",
  "dst_asset_address": "0x498Bf2B1e120FeD3ad3D42EA2165E9b73f99C1e5",
  "src_chain": "avalanche",
  "dst_chain": "arbitrum",
  "src_amount": 1000000,
  "dst_amount": 997000,
  "created_at": "2023-05-01T12:34:56Z",
  "filled_at": null,
  "expires_at": null,
  "completed": false,
  "place_tx": "0x3cdc8d4da0e74b08f453f311e2031b2d518c769cc8d9b5783043a2e35a9e6428",
  "fill_tx": null,
  "eta": 300,
  "order_type": "cctp"
}
This endpoint allows you to submit a Circle Cross-Chain Transfer Protocol (CCTP) transaction to be processed by Mach. CCTP enables native USDC transfers across different blockchains.

Request Body

chain
string
required
Source chain of the CCTP transaction (e.g., “avalanche”, “ethereum”)
burn_tx
string
required
Transaction hash of the CCTP burn transaction
solana_token_owner_address
string
(Optional) Solana token owner address, required only for Solana transactions

Response

id
string
Unique identifier for the order
taker_address
string
The address that initiated the order
maker_address
string
The address that fulfilled the order (null if not yet fulfilled)
src_asset_address
string
Address of the token being transferred
dst_asset_address
string
Address of the token at the destination
src_chain
string
The source chain of the order
dst_chain
string
The destination chain of the order
src_amount
integer
Amount of source token in the smallest unit
dst_amount
integer
Amount of destination token to be received
created_at
string
Timestamp when the order was created
filled_at
string
Timestamp when the order was filled (null if not yet filled)
expires_at
string
Timestamp when the order expires (null if no expiration)
completed
boolean
Whether the order has been completed
place_tx
string
Transaction hash of the burn transaction
fill_tx
string
Transaction hash of the CCTP fulfillment (null if not yet fulfilled)
eta
integer
Estimated time in seconds until the order is completed
order_type
string
Will be “cctp” for CCTP orders
curl --request POST \
  --url 'https://mach-prod-536329393577.asia-northeast1.run.app/v1/orders/cctp' \
  --header 'Content-Type: application/json' \
  --data '{
    "chain": "avalanche",
    "burn_tx": "0x3cdc8d4da0e74b08f453f311e2031b2d518c769cc8d9b5783043a2e35a9e6428",
    "solana_token_owner_address": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v"
  }'
{
  "id": "6368f169-d9ad-53ec-b797-81b4dc74c257",
  "taker_address": "0xb20094DFede30AbEe3a8d549BbA828b6fd771106",
  "maker_address": null,
  "src_asset_address": "0xB97EF9Ef8734C71904D8002F8b6Bc66Dd9c48a6E",
  "dst_asset_address": "0x498Bf2B1e120FeD3ad3D42EA2165E9b73f99C1e5",
  "src_chain": "avalanche",
  "dst_chain": "arbitrum",
  "src_amount": 1000000,
  "dst_amount": 997000,
  "created_at": "2023-05-01T12:34:56Z",
  "filled_at": null,
  "expires_at": null,
  "completed": false,
  "place_tx": "0x3cdc8d4da0e74b08f453f311e2031b2d518c769cc8d9b5783043a2e35a9e6428",
  "fill_tx": null,
  "eta": 300,
  "order_type": "cctp"
}

Status Codes

Status CodeDescription
200Success - CCTP order submitted successfully
422Validation Error - Invalid parameters
500Internal Server Error - Something went wrong on the server